#language: ru

@CheckingCustomerOrders

Функционал: 003. CheckingCustomerOrders. Дозаполение данных по организации

Сценарий: 003.1. CheckingCustomerOrders. Создание валюты

	Дано Я подключаюсь под "Ведение организаций"
	Дано я устанавливаю текущему сеансу заголовок приложения "02.003. Проверки заказов клиентов"
	И Я создаю валюту RUB

Сценарий: 003.2. CheckingCustomerOrders. Заполнение условия приема заказов в складе
	
	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Склады'
	Тогда я жду открытия окна 'Склады' в течение 20 секунд
	* Заполнение условий для приема заказов для Склада готовой продукции
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'            |
			| 'Склад готовой продукции' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Склад готовой продукции (Склад)'
		И я перехожу к закладке "Прием заказов"
		И в поле 'Принимать заказы за' я ввожу текст '2'
		И в таблице "УточненияПоПриемке" я нажимаю на кнопку с именем 'УточненияПоПриемкеДобавить'
		И в таблице "УточненияПоПриемке" из выпадающего списка с именем "УточненияПоПриемкеТоварнаяКатегория" я выбираю по строке 'Мягкие сыры'
		И в таблице "УточненияПоПриемке" в поле с именем 'УточненияПоПриемкеКоличествоДнейДоОтгрузки' я ввожу текст '3'
		И в таблице "УточненияПоПриемке" я завершаю редактирование строки
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Склад готовой продукции (Склад) *' в течение 20 секунд
		Тогда открылось окно 'Склады'
	И Я закрываю окно 'Склады'

Сценарий: 003.3. CheckingCustomerOrders. Завершение

	И я закрываю сеанс TESTCLIENT